using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability414.Domain;

public class TaobaoTbkOrderRefundGetOrderPage
{

    /*
        真正的业务数据结构
    */
    private IList<TaobaoTbkOrderRefundGetPublisherRefundOrderDTO>? result;


    /*
        上一页
    */
    private long? prePage;


    /*
        下一页
    */
    private long? nextPage;


    /*
        页码
    */
    private long? pageNo;


    /*
        每页订单量
    */
    private long? pageSize;


    /*
        是否有下一页
    */
    private bool? hasNext;


    /*
        位点
    */
    private string? positionIndex;


    /*
        是否有上一页
    */
    private bool? hasPre;



    [JsonPropertyName("result")]
    public IList<TaobaoTbkOrderRefundGetPublisherRefundOrderDTO>? Result
    {
        get => result;
        set => this.result = value;
    }

    [JsonPropertyName("pre_page")]
    public long? PrePage
    {
        get => prePage;
        set => this.prePage = value;
    }

    [JsonPropertyName("next_page")]
    public long? NextPage
    {
        get => nextPage;
        set => this.nextPage = value;
    }

    [JsonPropertyName("page_no")]
    public long? PageNo
    {
        get => pageNo;
        set => this.pageNo = value;
    }

    [JsonPropertyName("page_size")]
    public long? PageSize
    {
        get => pageSize;
        set => this.pageSize = value;
    }

    [JsonPropertyName("has_next")]
    public bool? HasNext
    {
        get => hasNext;
        set => this.hasNext = value;
    }

    [JsonPropertyName("position_index")]
    public string? PositionIndex
    {
        get => positionIndex;
        set => this.positionIndex = value;
    }

    [JsonPropertyName("has_pre")]
    public bool? HasPre
    {
        get => hasPre;
        set => this.hasPre = value;
    }

}

